-- --------------------------------------------------------------------------
--
-- Create schema main owner (user) 
--
--  project : ${pom.name}
--  version : ${pom.version} for ${pom.env}
--      env : ${pom.env} - ${pom.profil}
--     date : ${pom.date.fr}
--
--  Copyright Ifremer 2015
-- 
-- 25/11/15 BL  Creation
-- --------------------------------------------------------------------------
-- --------------------------------------------------------------------------
-- IMPORTANT NOTE : Execute the sql file with SYSTEM privilege
-- --------------------------------------------------------------------------

-- --------------------------------------------------------------------------
-- administration des objets de la base
-- --------------------------------------------------------------------------
CREATE USER ${jdbc.username} IDENTIFIED BY ${jdbc.password}
DEFAULT TABLESPACE ${sql.oracle.tablespace.default}
TEMPORARY TABLESPACE "TEMP";

-- --------------------------------------------------------------------------
-- Grant
-- --------------------------------------------------------------------------
GRANT CONNECT TO ${jdbc.username};
GRANT RESOURCE TO ${jdbc.username};

GRANT CREATE VIEW TO ${jdbc.username};
GRANT CREATE PROCEDURE TO ${jdbc.username};
GRANT CREATE TRIGGER TO ${jdbc.username};
GRANT CREATE MATERIALIZED VIEW TO ${jdbc.username};